Bug 203750 - Install of RHEL 4 Update 4 on Adaptec 2400A RAID Array Always Fails
Install of RHEL 4 Update 4 on Adaptec 2400A RAID Array Always Fails
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-23 11:46 EDT by Victor Barger
Modified: 2012-06-20 11:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:56:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Barger 2006-08-23 11:46:44 EDT
Description of problem:
Installation of RHEL 4 Update 4 on a system with an Adaptec ATA RAID 2400A card is exceedingly slow 
and finally fails with the error "The package X cannot be opened.  This is due to a missing file or 
perhaps a corrupt package."  The md5 sums on the installation CDs are correct and the CDs pass the 
initial installation media tests; moreover, the CDs have been used successfully to install RHEL4 on other 
systems.  Also tried a different CD-ROM drive to rule that out.  Per http://www.gatago.com/linux/
redhat/4426448.html , this error message seems to be the result of a timing issue.  I suspect there's a 
problem with how i2o in RHEL4 Update 4 is accessing the 2400A, which is causing the timing problem.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux 4 Update 4
Adaptec ATA RAID 2400A (BIOS: 1.26, Firmware: 3A0L)

How reproducible:
Always

Steps to Reproduce:
1. Boot from installation CD
2. Choose graphical install
3. Proceed through install configuration
  
Actual results:
Package installation is extremely slow.  Early on in the installation of packages from Disc 2 the installer 
will stop with the error message "The package X cannot be opened.  This is due to a missing file or 
perhaps a corrupt package."  The actual package that it fails on varies, but it's most commonly redhat-
logos-1.1.26-1.noarch or rootfiles-8-1.


Expected results:
The packages would be installed as usual.


Additional info:
The 2400A works fine in this system with Red Hat 7.3 and its default dpt_i2o driver.
Comment 3 Tom Coughlan 2007-02-19 17:51:37 EST
Victor,

Please post any kernel messages that occur leading up to the failure. These will
help to indicate where the problem is. Type ctrl-alt-f1, -f3, -f4 in the
installer to get the messages. 

Also note various mail on the linux lists indicating that this driver/hardware
does not work in 64 bit systems, or with 64-bit DMA. 

http://marc.theaimsgroup.com/?l=linux-scsi&m=115891635920858&w=2

and others.  

Tom
Comment 4 Jiri Pallich 2012-06-20 11:56:13 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.